module("luci.controller.fancontrol", package.seeall)

function index()
    if not nixio.fs.access("/etc/config/fancontrol") then
        return
    end
    entry({"admin", "h69k"},firstchild(),_("H69K"), 100).dependent = true

    entry({"admin", "h69k", "fancontrol"}, cbi("fancontrol"), _("风扇控制"), 100).dependent = true
    entry({"admin", "h69k", "fancontrol", "status"}, template("fancontrol/fan_status")).leaf = true
end
